<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [closeTail](./bitburner.ns.closetail.md)

## NS.closeTail() method

Close the tail window of a script.

**Signature:**

```typescript
closeTail(pid?: number): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  pid | number | _(Optional)_ Optional. PID of the script having its tail closed. If omitted, the current script is used. |

**Returns:**

void

## Remarks

RAM cost: 0 GB

Closes a script’s logs. This is functionally the same as pressing the "Close" button on the tail window.

If the function is called with no arguments, it will close the current script’s logs.

Otherwise, the pid argument can be used to close the logs from another script.

